<?php
/**
 * Scroll article excerpt
 *
 * @package Scroll article excerpt
 * @subpackage Scroll article excerpt
 * @version   2.0 February, 2012
 * @author    Gopi.R
 * @copyright Copyright (C) 2010 - 2012 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).DS.'helper.php');

@$args['sae_height'] = $params->get('sae_height');
@$args['sae_display'] = $params->get('sae_display');
@$args['sae_excerpt'] = $params->get('sae_excerpt');
@$args['sae_category_id'] = $params->get('sae_category_id');
@$args['sae_no_of_items'] = $params->get('sae_no_of_items');
@$args['sae_no_of_chars'] = $params->get('sae_no_of_chars');
@$args['sae_order_field'] = $params->get('sae_order_field');
@$args['sae_order_by'] = $params->get('sae_order_by');
@$args['sae_use_cache'] = $params->get('sae_use_cache');
@$args['moduleclass_sfx'] = $params->get('moduleclass_sfx');

$cache = & JFactory::getCache();

if (@$args['sae_use_cache']) 
{
  $items = $cache->call(array('modScrollArticleExcerpt','getArticleList'),$args);
}
else
{
  $items = modScrollArticleExcerpt::getArticleList($args);
}

modScrollArticleExcerpt::loadScripts($params);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_scroll_article_excerpt'));

?>